import { TargetResolver, Target, TargetAndTransition, TargetWithKeyframes } from "../types";
import { VariantLabels } from "../motion/types";
import { VisualElement } from "../render/VisualElement";
export declare type AnimationDefinition = VariantLabels | TargetAndTransition | TargetResolver;
export declare type ReadValueFromSource = (key: string) => number | string;
export declare type MakeTargetAnimatable = (visualElement: VisualElement, target: TargetWithKeyframes, origin?: Target, transitionEnd?: Target) => {
    target: TargetWithKeyframes;
    origin?: Target;
    transitionEnd?: Target;
};
export interface AnimationControlsConfig {
    makeTargetAnimatable?: MakeTargetAnimatable;
}
/**
 * Control animations for a single component
 *
 * @internal
 */
export declare class VisualElementAnimationControls<V extends {} = {}> {
    private visualElement;
    /**
     * The component's variants, as provided by `variants`
     */
    private variants;
    /**
     * A chance
     */
    private makeTargetAnimatable;
    constructor(visualElement: VisualElement);
}
