import { MotionProps, VariantLabels } from "../motion/types";
import { VisualElement } from "../render/VisualElement";
import { Target, TargetAndTransition, TargetResolver, Transition, Variants } from "../types";
export declare type AnimationDefinition = VariantLabels | TargetAndTransition | TargetResolver;
declare type AnimationOptions = {
    delay?: number;
    priority?: number;
    transitionOverride?: Transition;
    custom?: any;
};
export declare function isVariantLabel(v?: MotionProps["animate"]): v is string | string[];
export declare function setValues(visualElement: VisualElement, target: Target): void;
export declare function applyVariant(visualElement: VisualElement, variantLabel: string | string[], variants?: Variants, resolveData?: any): void;
export declare function applyValues(visualElement: VisualElement, target: Target, variants?: Variants, resolveData?: any): void;
export declare function startAnimation(visualElement: VisualElement, definition: AnimationDefinition, opts?: AnimationOptions): any;
export declare function stopAnimation(visualElement: VisualElement): void;
export declare function setOverride(visualElement: VisualElement, definition: AnimationDefinition, index: number): void;
export declare function startOverride(visualElement: VisualElement, index: number): any;
export declare function clearOverride(visualElement: VisualElement, index: number): void;
export {};
