/// <reference types="react" />
import { AnimationControls } from "../../animation/AnimationControls";
import { VisualElement } from "../../render/VisualElement";
import { MotionProps } from "../types";
interface VariantContextProps {
    parent?: VisualElement;
    initial?: string | string[];
    animate?: string | string[];
}
export declare const VariantContext: import("react").Context<VariantContextProps>;
/**
 * This hook is resonsible for creating the variant-propagation tree
 * relationship between VisualElements.
 */
export declare function useVariants(visualElement: VisualElement, { variants, initial, animate, whileTap, whileHover }: MotionProps, isStatic: boolean): VariantContextProps;
export declare function isAnimationControls(v?: MotionProps["animate"]): v is AnimationControls;
export {};
